=== python/ewave_plotting/requirements.txt ===
blinker==1.4
click==6.7
dominate==2.3.5
Flask==0.12.2
Flask-Bootstrap==3.3.7.1
Flask-Moment==0.7.0
Flask-RESTful==0.3.7
Flask-WTF==0.14.2
itsdangerous==0.24
Jinja2==2.10
Mako==1.0.7
MarkupSafe==1.0
matplotlib==2.1.1
numpy==1.13.3
obspy==1.1.0
python-dateutil==2.6.1
scipy==0.19.1
six==1.11.0
SQLAlchemy==1.1.11
visitor==0.1.3
Werkzeug==0.14.1
WTForms==2.2.1
