=== src/data_sources/nmxptool/src/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nmxptool
pkgincludedir = $(includedir)/nmxptool
pkglibdir = $(libdir)/nmxptool
pkglibexecdir = $(libexecdir)/nmxptool
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
bin_PROGRAMS = nmxptool$(EXEEXT)
am__append_1 = seedlink_plugin.c seedlink_plugin.h
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__nmxptool_SOURCES_DIST = nmxptool.c nmxptool_getoptlong.c \
	nmxptool_getoptlong.h nmxptool_ew.c nmxptool_ew.h \
	nmxptool_chanseq.c nmxptool_chanseq.h nmxptool_sigcondition.c \
	nmxptool_sigcondition.h nmxptool_listen.c nmxptool_listen.h \
	seedlink_plugin.c seedlink_plugin.h
am__objects_1 =  \
	nmxptool-seedlink_plugin.$(OBJEXT)
am_nmxptool_OBJECTS = nmxptool-nmxptool.$(OBJEXT) \
	nmxptool-nmxptool_getoptlong.$(OBJEXT) \
	nmxptool-nmxptool_ew.$(OBJEXT) \
	nmxptool-nmxptool_chanseq.$(OBJEXT) \
	nmxptool-nmxptool_sigcondition.$(OBJEXT) \
	nmxptool-nmxptool_listen.$(OBJEXT) $(am__objects_1)
#nodist_nmxptool_OBJECTS =  \
#	nmxptool-kom.$(OBJEXT) \
#	nmxptool-getutil.$(OBJEXT) \
#	nmxptool-logit_mt.$(OBJEXT) \
#	nmxptool-socket_ew_common.$(OBJEXT) \
#	nmxptool-swap.$(OBJEXT) \
#	nmxptool-mem_circ_queue.$(OBJEXT) \
#	nmxptool-transport.$(OBJEXT) \
#	nmxptool-sleep_ew.$(OBJEXT) \
#	nmxptool-socket_ew.$(OBJEXT) \
#	nmxptool-time_ew.$(OBJEXT) \
#	nmxptool-threads_ew.$(OBJEXT) \
#	nmxptool-sema_ew.$(OBJEXT)
nmxptool_OBJECTS = $(am_nmxptool_OBJECTS) $(nodist_nmxptool_OBJECTS)
nmxptool_DEPENDENCIES = ../lib/libnmxp.a
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 =
nmxptool_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(nmxptool_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 =
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 =
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 =
SOURCES = $(nmxptool_SOURCES) $(nodist_nmxptool_SOURCES)
DIST_SOURCES = $(am__nmxptool_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing autoconf
AUTOHEADER = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing autoheader
AUTOMAKE = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing automake-1.15
AWK = gawk
BINARY_DIST_NAME_SUFFIX = x86_64-unknown-linux-gnu
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include -I/opt/earthworm/earthworm_7.10/src/libsrc/util/libmseed -I/opt/earthworm/earthworm_7.10/include  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
CPP = gcc -E
CPPFLAGS = -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIR_PTHREAD = 
DLLTOOL = false
DLL_PTHREAD = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EWOS = 
EW_HOME = /opt/earthworm
EW_LIBSRC = 
EW_LIBSRC_OS = 
EW_LIBSRC_UTIL = 
EW_PARAMS = /opt/earthworm/run_working/params/
EW_VERSION = earthworm_7.10
EXEEXT = 
FGREP = /bin/grep -F
GLOBALFLAGS =  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/opt/earthworm/earthworm_7.10/src/libsrc/util/libmseed
LIBOBJS = 
LIBS =  -lrt -lm -lmseed /opt/earthworm/earthworm_7.10/lib/kom.o /opt/earthworm/earthworm_7.10/lib/getutil.o /opt/earthworm/earthworm_7.10/lib/logit_mt.o /opt/earthworm/earthworm_7.10/lib/socket_ew_common.o /opt/earthworm/earthworm_7.10/lib/transport.o /opt/earthworm/earthworm_7.10/lib/sleep_ew.o /opt/earthworm/earthworm_7.10/lib/socket_ew.o /opt/earthworm/earthworm_7.10/lib/time_ew.o /opt/earthworm/earthworm_7.10/lib/threads_ew.o /opt/earthworm/earthworm_7.10/lib/sema_ew.o /opt/earthworm/earthworm_7.10/lib/swap.o /opt/earthworm/earthworm_7.10/lib/mem_circ_queue.o
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = .././install-sh -c -d
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = nmxptool
PACKAGE_BUGREPORT = matteo.quintiliani@ingv.it
PACKAGE_NAME = nmxptool
PACKAGE_STRING = nmxptool 2.1.4
PACKAGE_TARNAME = nmxptool
PACKAGE_URL = 
PACKAGE_VERSION = 2.1.4
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SEISCOMPDIR = /home/sysop/seiscomp3
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.1.4
abs_builddir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/src
abs_srcdir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/src
abs_top_builddir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool
abs_top_srcdir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/install-sh
libdir = ${exec_prefix}/lib
