=== debian/changelog ===
earthworm (7.10-1ubuntu2) UNRELEASED; urgency=medium

  * Includes fix for missing Fortran-dependent binaries

 -- Alexander Schnackenberg <a.schnackenberg@isti.com>  Mon, 01 Jul 2019 19:20:16 -0400

earthworm (7.10-1ubuntu1) RELEASED; urgency=medium

  * Initial release. 
  * Adding in new version of Swarm (2.8.9)

 -- Alexander Schnackenberg <a.schnackenberg@isti.com>  Tue, 05 Feb 2019 13:57:06 -0500
